2005-05-17  Egbert Eich  <eich-at-freedesktop-dot-org>

	reviewed by: <delete if not using a buddy>

	* Xft.h:

Fri Aug 13 21:01:34 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* xftint.h (HAVE_FT_BITMAP_SIZE_Y_PPEM): Fix the build

Fri Aug 13 19:47:12 2004  Soeren Sandmann  <sandmann@redhat.com>

	* xftint.h: Make HAVE_FT_BITMAP_SIZE_Y_PPEM conditional on the
	FreeType version instead of proping it. This way it will work
	with the monolithic version too. #1062, Patch by Owen Taylor.

2004-03-22  Keith Packard  <keithp@keithp.com>

	* Makefile.am:
	* Xft.h:
	* configure.ac:
	Bump version number to 2.1.6
	Bump .so version to 2.1.2

2004-03-19  Keith Packard  <keithp@keithp.com>

	* xftfreetype.c: (_XftSetFace):
	Rework bitmap instance selection code to make it look prettier.
	Also, try both y_ppem/x_ppem *and* width/height to see
	which values will actually manage to load a font -- FreeType 2.1.7
	has broken bdf/pcf loaders.

2004-03-11  Keith Packard  <keithp@keithp.com>

	* Xft.h:
	* configure.ac:
	* xftfreetype.c: (_XftSetFace):
	Oops.  Left #warnings from testing in the release.
	Bump to version 2.1.5 and respin the release...

2004-03-10  Keith Packard  <keithp@keithp.com>

	* Xft.h:
	* configure.ac:
	Sigh.  "someone" released a 2.1.3 without fixing
	the version numbers.  Update to 2.1.4.

2004-03-10  Keith Packard  <keithp@keithp.com>

	* Xft.h:
	Update version number to 2.1.3
	Change #include syntax for recent FreeType
	
	* configure.ac:
	Update version number to 2.1.3
	Depend on fontconfig 2.2 instead of 2.2.91
	Add check for y_ppem field in FTBitmapSize structure
	
	* xftdraw.c: (XftDrawRect):
	Use PictOpSrc for painting rectangles with XftDrawRect

	* xftdpy.c: (_XftDefaultInit), (XftDefaultSubstitute):
	Use FC_HINT_STYLE only when available
	
	* xftfreetype.c: (_XftSetFace), (XftFontInfoFill):
	Search for closest bitmap size when font provides only bitmaps
	Use FC_HINT_STYLE only when available

2004-03-04  Jan van Dijk  <jan@etpmod.phys.tue.nl>

	* configure.ac: Updated version check for fontconfig: usage of the
	  FC_HINT_* macros in Xft requires version >= 2.2.91

2004-02-03  Jim Gettys  <jg@freedesktop.org>

	* AUTHORS: Get a cut at an author's list.

2004-01-17  Daniel Stone  <daniel@fooishbar.org>
	* Xft.h, configure.ac: Bump version to 2.1.3, to release for the
	  first freedesktop.org platform release.

2004-01-15  Harold L Hunt II <huntharo@msu.edu>
	* Makefile.am: Pass -no-undefined to libtool via LDFLAGS.

2003-12-02  Noah Levitt  <nlevitt@columbia.edu>

	* configure.ac: Sometimes autoconf doesn't set $VERSION, so use
	$PACKAGE_VERSION. (#156)

2003-11-18  Noah Levitt  <nlevitt@columbia.edu>

	* .cvsignore: ignore *.loT

	* Xft.h: Fix build with freetype 2.1.7. (bug #149, Eric
	Christopherson)

2003-09-23  Owen Taylor  <otaylor@redhat.com>

        Support FC_HINT_STYLE (#Bug 118)
	
	* xftfreetype.c: Hook up FC_HINT_STYLE to FT_LOAD_TARGET_LIGHT;
	also use FT_LOAD_TARGET_MONO when appropriate.

	* xftdpy.c: Hook up FC_HINT_STYLE to the Xft default system.

2003-09-05 07:76  keithp

	* xftfreetype.c: use FT_LOAD_TARGET_LCD/FT_LOAD_TARGET_LCD_V
	so that the autohinter will snap stems to pixel boundaries

2003-05-05 22:37  keithp

	* Xft.h, configure.ac: Bump version to 2.1.2

2003-05-05 21:50  branden

	* ChangeLog: cvs2cl

2003-05-05 21:44  keithp

	* configure.ac: Make sure -lXext is included for broken Xrender
	packages

2003-05-05 21:33  branden

	* ChangeLog: Generate ChangeLog with cvs2cl.

2003-05-02 14:42  keithp

	* xftfreetype.c, xftrender.c: Must switch to non-ARGB format when
	mixing ARGB and non-ARGB fonts

2003-04-30 17:49  branden

	* xft-config.in, xft.pc.in: Add -lX11 to the list of libraries one
	needs to link against when using Xft.  (Someday, perhaps XFree86
	will support pkg-config...)

2003-04-30 17:48  branden

	* configure.ac: Add -lXext and -lX11 to XRENDER_LIBS, since the
	Xrender library links against those.

2003-04-30 17:13  keithp

	* xftdraw.c, xftfreetype.c, xftglyphs.c: Avoid uninitialized
	fields.  Dont call malloc for zero bytes

2003-04-30 09:48  keithp

	* xftglyphs.c: Walking off the end of the hash table

2003-04-27 22:20  keithp

	* xftfreetype.c: Mark reduction in memory usage as fonts are
	destroyed

2003-04-25 09:11  keithp

	* Xft.3.in: Fix typo in Xft man page (from Miloslav Trmac
	<mitr@volny.cz>)

2003-04-24 09:14  keithp

	* xftfreetype.c: Allow glyphs to range up to num_glyphs to fix PCF
	problems

2003-04-21 10:28  nlevitt

	* .cvsignore: No more question marks.

2003-04-21 10:18  keithp

	* Makefile.am: Remove bogus extra EXTRA_DIST

2003-04-21 10:12  keithp

	* ChangeLog, INSTALL, Makefile.am, README, Xft.3.in, Xft.man,
	configure.ac: Fix manual page version and install (manx_MANS is
	busted)

2003-04-21 09:59  keithp

	* Makefile.am, Xft.h, configure.ac, xft.pc.in: Remove extra version
	number (PACKAGE_VERSION) from confgiure.ac.  One (VERSION) seems
	like plenty.  Bump version to 2.1.1

2003-04-19 20:32  nlevitt

	* Makefile.am: Remove XftFreetype.h.

2003-04-19 19:16  keithp

	* Xft.man: Fix manual page example to use NULL where appropriate

2003-04-19 19:07  keithp

	* XftFreetype.h: Remove XftFreetype.h

2003-04-17 16:37  nlevitt

	* .cvsignore: Quiet, please.

2003-04-17 16:34  nlevitt

	* configure.ac: Check for Xrender with pkg-config first.

2003-04-17 12:52  nlevitt

	* Makefile.am, autogen.sh: Use libtool 1.5 and -version-info for
	library versioning.

2003-04-17 08:37  nlevitt

	* Xft.man: Remove XftConfig from the man page.

2003-04-17 08:06  nlevitt

	* Imakefile, config/config-subst: Removed imake files.

2003-04-17 08:00  nlevitt

	* configure.ac: Require fontconfig >= 1.0.1.

2003-04-16 23:05  nlevitt

	* configure.ac: Not sure what version of fontconfig we actually
	require, but it at least compiles ok with 1.0.1. Requiring >=
	1.0.0.

2003-04-16 22:00  nlevitt

	* configure.ac: Everything is in the package root.

2003-04-16 21:57  nlevitt

	* Makefile.am: Everything is in the package root.

2003-04-16 21:56  nlevitt

	* config/config-subst: Re-adding config-subst, probably shouldn't
	have deleted it.

2003-04-16 21:51  nlevitt

	* Imakefile: Re-adding Imakefile, probably shouldn't have deleted
	it.

2003-04-16 21:29  nlevitt

	* Xft.h, Xft.man, XftCompat.h, XftFreetype.h, xftcolor.c,
	xftcore.c, xftdbg.c, xftdpy.c, xftdraw.c, xftextent.c, xftfont.c,
	xftfreetype.c, xftglyphs.c, xftinit.c, xftint.h, xftlist.c,
	xftname.c, xftrender.c, xftstr.c, xftswap.c, xftxlfd.c: Change
	copyright symbol to UTF-8 and replace $ with $.

2003-04-16 21:16  nlevitt

	* Makefile.am: Include autogen.sh in the distribution.

2003-04-16 21:15  nlevitt

	* configure.ac: Fail in ./configure if required libraries are not
	found.

2003-04-16 20:19  nlevitt

	* COPYING, Makefile.am, autogen.sh, configure.ac: Initial checking
	of automake stuff.

2003-04-16 20:12  nlevitt

	* Imakefile, Makefile.in, config.h.in, configure.in: Removed old
	autoconf stuff.

2003-04-16 20:09  nlevitt

	* Makefile.in, config.h.in, config/config-subst,
	config/config.guess, config/config.sub, config/install.sh: Removed
	stuff in config/.

2003-04-16 19:41  nlevitt

	* xftpat.c: Removing xftpat.c, since it isn't used anymore.

2003-04-05 05:33  herrb

	* Xft.man: fix man page name to make man -k a bit more useful

2003-04-03 14:25  dawes

	* xftdraw.c:   51. Fix segfaults that can happen when using
	composition of RENDER and
	      non-RENDER fonts (#A.1656, Wu Jian Feng).

2003-03-26 12:43  tsi

	* xftfreetype.c:   28. Various build and warning fixes (#A.1703,
	Peter Breitenlohner).
	  27. Avoid overlapping strcpy() in imake.c (Dan Nelson).

2003-03-24 20:18  dawes

	* Imakefile, Xft-def.cpp:   26. Updates for building on OS/2
	(#5650, Frank Giessler).

2003-02-25 14:18  dawes

	* Imakefile: Missing part of libXft minor rev bump (#5652, Mike
	Harris).

2003-02-25 13:57  dawes

	* Xft.h:  954. Bump the libXft minor revision for the UTF-16 APIs
	that were added
	      after rev 2.0 (#A.1643, A.1644, Keith Packard).

2003-02-15 14:30  dawes

	* xftcore.c:  903. Fix some bugs with Xft drawing to non-Render
	enabled servers:
	       - Drawing monochrome glyphs had an infinite loop.
	       - XftGlyphSpecCore failed to render some glyphs, leading to
	application
		 crashes from uninitialized values.
	       (#A.1608, Keith Packard, reported by Nalin Dahyabhai).

2003-02-12 19:17  dawes

	* xftcore.c:  882. Add missing zero-sized check to one of Xft's
	core rendering routines
	      (#A.1599, Keith Packard).

2002-12-13 17:59  dawes

	* Xft.h, xftextent.c, xftrender.c:  632. Finish off the UTF-16 APIs
	in Xft, and fix the UTF-16 conversion
	      code in fontconfig (#A.1411, Keith Packard, Jungshik Shin).

2002-11-14 13:01  tsi

	* Imakefile: First pass at imake warnings.  + some ATI driver
	formatting changes.
	
	Please ensure these changes are reflected in DRI's CVS.

2002-10-19 11:52  herrb

	* Imakefile: Build fix for systems without gcc

2002-10-16 14:07  keithp

	* xftcore.c: Destroy images when drawing glyphs with the core
	protocol

2002-10-11 10:53  keithp

	* Xft.h, xftcolor.c, xftcore.c, xftdpy.c, xftdraw.c, xftextent.c,
	xftfont.c, xftfreetype.c, xftglyphs.c, xftinit.c, xftint.h,
	xftrender.c: Add a bunch more consts to Xft and fontconfig apis

2002-10-04 08:06  keithp

	* Xft.man: Update Xft manual

2002-10-02 00:10  keithp

	* xftdpy.c: Remove unnecessary link between FC RGBA values and
	Render subpixel order constants

2002-10-02 00:02  keithp

	* XftCompat.h, xftcore.c, xftdpy.c, xftfreetype.c: Make handling of
	RGBA constants more consistent and less error prone

2002-09-25 19:56  keithp

	* xftdpy.c: Add image transformation and sub-pixel ordering to
	Render

2002-09-25 19:55  keithp

	* xftfreetype.c: Wrong datatype caused a warning

2002-09-25 17:31  keithp

	* xftfreetype.c, xftglyphs.c: Fix file/face locking to make it more
	sensible

2002-09-17 18:25  dawes

	* Xft-def.cpp:	325. Export some more Xft symbols (Cygwin) that are
	needed for qt 3.x
	      (#5285, Ralf Habacker).
	 324. Don't sleep on Cygwin for ICE directory mode problems (#5284,
	      Ralf Habacker).
	 323. Fix a bug in XtGetDisplays() with more than 1 open display
	(#5282,
	      Kip Rugger).
	CVS
	:------------------------------------------------------------------
	----

2002-08-31 15:18  keithp

	* Xft.h: Rename public to pub for c++

2002-08-31 11:08  keithp

	* Xft.h, xftdraw.c, xftrender.c, xftxlfd.c: Add XftDrawStringUtf16.
	 Fix GlyphFontSpecRender where it loads glyphs one at a time. Stop
	writing to XLFD string

2002-08-22 01:09  keithp

	* Xft.h, xftdpy.c, xftdraw.c, xftint.h: Add rectangle clipping,
	avoid Xlib whining on servers without Render

2002-08-12 15:16  keithp

	* xftdpy.c, xftdraw.c, xftfreetype.c, xftglyphs.c, xftint.h,
	xftrender.c: Create per-dpy info only when needed, fix fencepost in
	indexing array of glyphs

2002-08-02 11:48  keithp

	* xftdpy.c, xftfreetype.c, xftglyphs.c: _XftCloseDisplay was
	corrupting global list.  Compute charset at open time for fonts
	without them.  Dont crash in XftCharIndex when fonts have no
	unicode mapping

2002-07-05 18:24  keithp

	* xftdraw.c, xftextent.c: XftDrawGlyphFontSpec and
	XftTextExtentsUtf8 were both horribly broken

2002-06-19 13:18  keithp

	* xftdpy.c: Add FC_AUTOHINT and FC_HINTING to X resources

2002-06-19 13:18  keithp

	* xftint.h: remove a couple of duplicate function declarations

2002-06-19 13:08  keithp

	* xftfont.c: Add a bit of error reporting on font open failure

2002-06-07 10:55  keithp

	* configure.in: Make autoconf use correct options to build solaris
	shared libraries

2002-06-02 13:52  keithp

	* xftfreetype.c, xftglyphs.c, xftint.h: Add aspect ratio support to
	Xft and fontconfig

2002-06-02 13:33  keithp

	* xftfreetype.c, xftglyphs.c: Transform global font metrics with
	font matrix

2002-05-31 16:21  keithp

	* xftfreetype.c, xftint.h: Add support for user-provided freetype
	faces to Xft

2002-05-31 00:01  keithp

	* Makefile.in: Fix autoconf make install in Xft to remove link
	targets before linking

2002-05-30 23:52  keithp

	* Imakefile: Fix Xft2 to build right library version on old systems
	with xmkmf.  Fix fc-cache location for xmkmf out-of-tree build on
	old systems

2002-05-30 21:45  keithp

	* Imakefile, Xft.h, xftcore.c, xftdpy.c, xftfreetype.c,
	xftglyphs.c, xftint.h: Interpose the XftFontInfo structure between
	patterns and fonts.  Fix image leak in core drawing code.  Attempt
	to deal with xmkmf and pre-fontconfig config files.  Save closed
	fonts for a while.

2002-05-28 09:15  keithp

	* xftrender.c: Fix obvious bug in XftTextRenderUtf8

2002-05-28 09:11  keithp

	* xftdraw.c: Fix obvious bugs in XftDrawStringUtf8

2002-05-28 08:59  keithp

	* xft-config.in: xft-config was returning -lxft instead of -lXft

2002-05-25 06:52  herrb

	* Imakefile: $< in a non-implicit rule is a GNU-makeism. It's not
	supported by BSD make.

2002-05-25 05:03  alanh

	* Xft-def.cpp: #5283, Fix Xft-def.cpp for Cygwin/XFree86

2002-05-24 00:02  keithp

	* xftname.c: Add XftNameUnparse

2002-05-23 23:26  keithp

	* Makefile.in: Clean up autoconf install to obey DESTDIR

2002-05-23 22:54  keithp

	* Xft.h, XftCompat.h, xftdraw.c, xftint.h: Add XftSetSubwindowMode
	and another c++ compatiblity cast

2002-05-23 16:18  keithp

	* Makefile.in: Few autoconf build fixes

2002-05-23 16:01  keithp

	* Imakefile, Makefile.in, Xft.h, config.h.in, configure.in,
	xft-config.in, xft.pc.in, xftinit.c, config/config-subst,
	config/config.guess, config/config.sub, config/install.sh: Add
	autoconf build support to Xft

2002-05-22 10:15  keithp

	* xftdpy.c, xftglyphs.c: Add debugging to check memory stats, dont
	attempt to rasterize glyphs twice

2002-05-22 10:14  keithp

	* XftCompat.h: Allow Xft1 c++ programs to compile without
	signed/unsigned type error

2002-05-13 12:06  keithp

	* Xft.h, xftdraw.c: Expose useful XftDrawSrcPicture function

2002-04-10 09:20  tsi

	* xftfreetype.c: Warnings

2002-03-04 13:15  tsi

	* xftdpy.c: Warning fixes

2002-02-20 21:30  keithp

	* Xft.h: Fix Xft.h for use by C++ progs

2002-02-19 16:54  keithp

	* Imakefile: Switch Xft from referencing libxml2 to expat

2002-02-18 23:56  keithp

	* xftdraw.c, xftfreetype.c: check for region equality in
	XftDrawSetClip

2002-02-18 23:51  keithp

	* Xft.h, XftCompat.h, xftcore.c, xftrender.c: Fix
	CharSpec/GlyphSpec rendering

2002-02-14 23:46  keithp

	* XftConfig.cpp: Remove prototype Xft configuration file; its not
	used anymore

2002-02-14 23:37  keithp

	* XftCompat.h, xftswap.c: Add a few missing files from the Xft 2
	update

2002-02-14 23:36  keithp

	* Imakefile, Xft.h, XftConfig.cpp, XftFreetype.h, xftcache.c,
	xftcfg.c, xftcore.c, xftdbg.c, xftdir.c, xftdpy.c, xftdraw.c,
	xftextent.c, xftfont.c, xftfreetype.c, xftfs.c, xftglyphs.c,
	xftgram.y, xftinit.c, xftint.h, xftlex.l, xftlist.c, xftmatch.c,
	xftmatrix.c, xftname.c, xftpat.c, xftrender.c, xftstr.c, xftxlfd.c:
	Update to Xft version 2

2002-01-16 13:50  tsi

	* xftcfg.c, xftint.h: Resync with 4.1.99.6

2002-01-12 12:46  keithp

	* xftcfg.c, xftint.h: Xft crashed doing multiple edits to same
	field.	Also made edit debug use XFT_DEBUG.

2001-12-18 09:08  tsi

	* xftdpy.c, xftfreetype.c, xftint.h: Another resync with HEAD
	branch.

2001-12-13 09:26  keithp

	* xftdpy.c, xftfreetype.c, xftint.h: Make freetype cache
	per-display

2001-11-21 15:41  keithp

	* XftConfig.cpp: Fix aliasing for Luxi font name change

2001-11-21 13:31  dawes

	* XftConfig.cpp:  499. Add new Luxi fonts from Bigelow & Holmes
	(#5010, Charles Bigelow and
	      Kris Holmes, integrated by Juliusz Chroboczek).

2001-11-17 00:22  keithp

	* xftglyphs.c: Force outline load as Xft doesnt deal with bitmaps
	yet

2001-10-27 20:32  tsi

	* xftfreetype.c:  407. Fix for threaded libraries (Marc La France).
	 406. Finish removal of SuperProbe (Marc La France).
	 405. A rather large number of warning fixes throughout (Marc La
	France).
	 404. Fix bug in HTML install script (Marc La France).
	 403. Missing ident lines for some XFree86-modified files (Marc La
	France).
	 402. Add default half-width doublescanned modes (Marc La France).
	 401. Mark all driver-registered resources with ResBus (Maarc La
	France).
	 400. Fix DPMS-related build problem (Marc La France).
	 399. Log a message just before calling each ChipProbe() during
	'-probe'
	      processing (Marc La France).
	 398. Temporarily disable ISA probing on SPARCs and PowerPCs (Marc
	La France).
	 397. Add PCI IDs for Sun hardware (Marc La France).
	 396. Fix memory leak in resource relocation (Marc La France).
	 395. Do not relocate resources that only conflict with disabled
	non-video PCI
	      devices or disabled PCI ROMs (Marc La France).
	 394. Re-organise SBUS code (Marc La France).
	 393. Add as-yet-unused definitions for PCI resource types other
	than I/O and
	      memory (Marc La France).
	 392. Add doc for Solaris, but don't format it yet (Marc La
	France).
	 391. Normalise driver names (Marc La France).
	 390. For SPARCs, disable DGA support in ATI driver (Marc La
	France).
	 389. Clean up some debugging messages (Marc La France).
	 388. Fix newport driver for when a /proc fs isn't mounted (Marc La
	France).
	 387. Fix DAC handling bugs in s3 driver (Marc La France).
	 386. Fix resource registration bug for PCI Tseng's (Marc La
	France).
	 385. Add aperture driver for Solaris (not yet used) (Marc La
	France).
	 384. Rework scanpci to fix problems that prevented it from
	completely
	      displaying non-PCI bridges and Simba bridges (Marc La
	France).
	 383. Fix build problems in some input drivers (Marc La France).
	 382. Fix int10 compile problem for SPARCs and PowerPCs (Marc La
	France).
	 381. Ensure master aborts on secondary buses complete normally
	during PCI
	      scans (Marc La France).
	 380. Some memory mapping and Solaris cleanups (Marc La France).

2001-09-29 10:47  herrb

	* Imakefile: whitespace fix

2001-09-21 12:54  keithp

	* xftfreetype.c, xftmatch.c: Make XFT_ANTIALIAS much less important
	in the match

2001-07-13 11:16  keithp

	* xftint.h, xftrender.c: Change unsigned int to XftChar32
	everywhere else, fix RenderExtents{16,32,Utf8} to match
	RenderExtents8

2001-06-11 15:53  keithp

	* xftcache.c: lib/Xft: handle truetype fontfiles with more than one
	font -- .xftcache was getting busted

2001-05-18 09:03  tsi

	* xftint.h, xftlex.l:  543. Back out sunleo conversion to fb.  This
	driver is too heavily dependent
	      on cfb32 for a simple fb conversion (Marc La France).
	 542. Miscellaneous build/warning fixes (Marc La France).
	 541. More prep work for SunOS (Marc La France).
	 540. Fix libXft build on SunOS (Marc La France).
	 539. Another makedepend bug fix (Marc La France).
	 538. Fix use of xftcache utility during !UseInstalled builds (Marc
	La France).

2001-05-16 12:20  keithp

	* xftdraw.c: Use PictOpOver for XftDrawRect

2001-05-16 10:20  keithp

	* xftcolor.c: Allow apps to allocate non-opaque colors in
	XftColorAllocValue, even though they wont work without Render

2001-05-16 03:32  keithp

	* xftdir.c, xftfreetype.c, xftglyphs.c, xftgram.y, xftlex.l: Clean
	up memory leaks in Xft, remove mono spacing attribute from TT fonts

2001-04-28 20:21  keithp

	* Xft.h, xftdpy.c: Add Xft.dpi resource to override server provided
	resolution value

2001-04-27 07:55  tsi

	* Imakefile, XftConfig.cpp: Build fix

2001-04-21 09:58  keithp

	* xftrender.c: Fix extents computation for FreeType fonts

2001-04-19 09:07  dawes

	* Imakefile:  402. Install the XftConfig file under $(CONFDIR),
	with a link from the
	      usual place (based on #4569, Branden Robinson).
	 401. Update the Debian section on linux.cf (#4568, Branden
	Robinson).

2001-04-05 12:29  dawes

	* Xft-def.cpp:	341. Add a driver for VMware virtual SVGA devices. 
	This is for use
	      by X servers running under a VMware guest OS (#4529, VMware,
	Inc).
	 340. Remove Cygwin-specific #ifdef in Xserver/os/Waitfor.c, which
	fixes
	      a crash (#4528, Suhaib Siddiqi).
	 339. Cygwin build fixes (#4527, Suhaib Siddiqi).
	- fix some doc typos

2001-04-01 07:00  tsi

	* xftdraw.c, xftextent.c, xftfreetype.c, xftglyphs.c, xftstr.c: 
	317. glxinfo needs libGLU (Marc La France).
	 316. Rage128 fix to Cards database (Marc La France).
	 315. Minor fix to PCI resource overlap handling (Marc La France).
	 314. Loader code simplification and IA-64 cache flushes (Marc La
	France).
	 313. Workaround in the ATI driver for troublesome interaction
	between loader
	      and compiler optimisation (Marc La France).
	 312. Warning fixes for `gcc -fno-builtin`, which appears to be the
	default on
	      some systems (Marc La France).
	
	+ more of #301, tags, warnings and build fixes.

2001-03-31 15:07  keithp

	* XftFreetype.h: Reorder struct elements in exposed datatype to
	provide backward compatibility

2001-03-30 17:57  keithp

	* xftcfg.c, xftdbg.c, xftglyphs.c, xftgram.y, xftint.h, xftlex.l: +
	Add matrix support to XftConfig files + Change SwitchYYPrefix to
	edit __REALLY_YY__ back to yy + Add change log entry for glyph
	transformations in Xft

2001-03-30 10:50  keithp

	* Imakefile, Xft.h, XftFreetype.h, xftdbg.c, xftdraw.c,
	xftfreetype.c, xftglyphs.c, xftint.h, xftmatrix.c, xftname.c,
	xftpat.c: Add matrix transformations to Freetype fonts

2001-03-29 18:15  keithp

	* XftFreetype.h, xftint.h: Add Xmuu library to remove requirement
	for Xt/Xaw from most X utilities Add i810 and Xv support to kdrive

2001-03-18 06:50  dawes

	* Imakefile: rework the Freetype2 switches

2001-03-12 08:03  keithp

	* Imakefile: Add freetype2 to 4.0.2 branch

2001-03-10 03:43  keithp

	* xftstr.c: Guard against broken fonts with missing fields

2001-03-06 10:00  keithp

	* xftmatch.c: xft: make font spacing less important than font
	family

2001-02-13 11:19  dawes

	* Xft-def.cpp:	135. Updates for Cygwin support (#4433, Suhaib M.
	Siddiqi).
	 134. Fix a bug in the fonts.sgml doc (#4432, Juliusz Chroboczek).
	 133. Fix the xdpyinfo so that it will build when the XKB extension
	isn't
	      defined (#4422, Jim Gettys).
	 132. Fix the xdm greeter so that it will build when the XKB
	extension isn't
	      defined (#4421, Jim Gettys).
	 131. Only build setxkbmap when building the XKB lib support (based
	on #4420,
	      Jim Gettys).
	 130. Improve the mga driver messages when the HAL module isn't
	available
	      (#4451, David Woodhouse).
	 129. Add G450 support to the mga driver (#4416, Luugi Marsan
	(Matrox),
	      4449, David Woodhouse).
	 128. Mga driver updates, including HAL cleanups, add a Crtc2Ram
	option,
	      and merge with Matrox beta4 source (#4415, Antii Tapaninen,
	#4423,
	      Simon Hosie).
	 127. Fix a rounding problem in the wacom driver that was causing
	some
	      position instability (#4417, Hannes Eriksson).

2001-02-08 16:35  keithp

	* Imakefile: Fix Freetype2 compilation, document changed Freetype
	status

2001-01-26 12:51  keithp

	* Xft.h, xftdpy.c, xftfreetype.c, xftglyphs.c, xftint.h,
	xftmatch.c, xftname.c: Add a bit more debug to Xft along with
	vertical sub-pixel decimation

2001-01-01 18:46  keithp

	* Imakefile, Xft.h, XftFreetype.h, xftcache.c, xftcfg.c, xftdir.c,
	xftfreetype.c, xftgram.y, xftint.h, xftlex.l, xftname.c: Add
	FreeType font file info caching

2000-12-21 21:05  tsi

	* XftFreetype.h, xftfreetype.c, xftint.h, xftname.c, xftxlfd.c:
	Build fixes

2000-12-21 18:25  keithp

	* XftFreetype.h, xftfreetype.c, xftglyphs.c, xftint.h: Move
	XftFreeTypeSetFace to XftFreetype.h

2000-12-20 02:24  keithp

	* xftstr.c: Xft: fix utf8->ucs4 conversion

2000-12-19 16:28  keithp

	* Xft.h, XftFreetype.h, xftcore.c, xftdraw.c, xftextent.c,
	xftint.h, xftrender.c, xftstr.c: Add UTF-8 support to Xft

2000-12-19 16:20  keithp

	* Xft.h, XftFreetype.h, xftdpy.c, xftdraw.c, xftfont.c,
	xftfreetype.c, xftglyphs.c, xftint.h, xftname.c, xftxlfd.c: Xft:
	Add font/face sharing.	Improve debug.	Add minspace for Dirk and
	Linus.

2000-12-17 01:11  keithp

	* xftcfg.c: Xft: correct order of config file tests

2000-12-17 00:30  keithp

	* xftdpy.c: Xft: unintialized variable

2000-12-15 14:48  dawes

	* xftlex.l: 1204. Fix an Xlib memory overrun when the
	Xutf8TextPropertyToTextList function	   is used in a unibyte
	locale (#4394, Bruno Haible).  1203. Fix the yen/backslash keys for
	Solaris 8/x86 with Japanese 106 keyboards	(based on #4393,
	Takaaki Nomura).  1202. Fix type mismatches in the r128 DRI driver
	on Alpha platforms (#4392,	 Gareth Hughes).  1201. Fix build
	on Japanized version of Solaris 8 for x86 (#4390,	Takaaki
	Nomura).  1200. Remove some old XtOffset magic for the arm that
	affects building       with gcc (#4388, Keith Packard).

2000-12-15 09:12  keithp

	* Imakefile, XftFreetype.h, xftcfg.c, xftdraw.c, xftextent.c,
	xftfont.c, xftfreetype.c, xftglyphs.c, xftinit.c, xftint.h: Xft:
	Change build w/o FREETYPE2 to not include any FreeType2 related
	functions, fix XftFreetype.h to be usable by apps

2000-12-14 15:03  keithp

	* XftConfig.cpp, xftcfg.c, xftdpy.c, xftfont.c, xftfreetype.c,
	xftint.h, xftmatch.c, xftname.c, xftpat.c, xftstr.c, xftxlfd.c:
	Xft: Fix string compares and default config

2000-12-11 16:45  keithp

	* xftdraw.c, xftfont.c, xftint.h, xftmatch.c, xftxlfd.c: Fix pixel
	values for core font rendering in Xft, add environment-selectable
	debugging

2000-12-11 13:48  keithp

	* xftglyphs.c: Xft: TT fonts may not contain all glyphs in encoding

2000-12-07 23:51  keithp

	* Xft.h, XftFreetype.h, xftcore.c, xftdraw.c, xftextent.c,
	xftfont.c, xftglyphs.c, xftint.h, xftpat.c, xftrender.c: Xft: be
	liberal in what you accept... Also, metrics for missing glyphs are
	all zeros now.	Also added typedefs for 8,16,32 bit char datatypes

2000-12-07 15:57  keithp

	* xftint.h, xftlist.c, xftpat.c: Dont pass address of va_list
	around anymore (ppc portability)

2000-12-06 10:03  keithp

	* Xft.h, xftdraw.c, xftint.h: Xft: add bitmap drawable support

2000-12-05 10:26  keithp

	* xftdpy.c: Xft: add X resource to disable anti-aliasing

2000-12-04 23:42  keithp

	* xftdraw.c: Xft,Xrender: make clip rectangles actually work

2000-12-04 19:13  keithp

	* Xft.h, XftFreetype.h, xftdraw.c, xftint.h, xftrender.c:
	Xft,Xrender,Render: c++ support, clip rectangles, warnings

2000-12-03 11:05  keithp

	* xftcfg.c: Xft: (oops) left some debug output enabled

2000-12-03 11:03  keithp

	* Xft.h, xftcfg.c, xftfreetype.c, xftglyphs.c: Xft: allow apps to
	specify char spacing for FreeType fonts Fix append/prepend editing
	steps to make them relative to the match

2000-12-02 16:45  keithp

	* xftname.c: Xft: allow style names like "bold" to be used without
	prefix in font names

2000-12-02 02:02  keithp

	* Xft.h, XftFreetype.h, xftcore.c, xftfont.c, xftfreetype.c,
	xftglyphs.c, xftint.h, xftname.c, xftxlfd.c: Xft: fix name parsing,
	add unencoded glyph access for FreeType fonts

2000-12-01 13:32  keithp

	* Xft.h, XftFreetype.h, xftcore.c, xftdraw.c, xftextent.c,
	xftint.h, xftrender.c: Xrender/Xft: handle long strings, use
	unsigned int for 32-bit glyphs

2000-11-30 19:27  keithp

	* Imakefile, Xft.h, xftcolor.c, xftdraw.c, xftfont.c, xftint.h,
	xftxlfd.c: Xft: add new XftColor datatype, update xterm and x11perf

2000-11-30 16:41  keithp

	* xftname.c: Xft: workaround for wedging when given invalid font
	name (like XLFD)

2000-11-30 15:30  dawes

	* xftgram.y, xftint.h, xftlex.l: Fix libXft build problems on
	systems that don't have flex (like Solaris).  1031. Add PAM
	authentication to the X server (based on Red Hat's	
	XFree86-4.0-Xwrapper patch).  1030. Add Slovenian and Romanian
	entries to XKB's keymap/xfree86 file	   (Red Hat's
	XFree86-4.0-si_xkb patch and XFree86-4.0-ro_xkb.patch).  1029. Fix
	for PAM support in xdm SessionExit() (Red Hat's      
	XFree86-4.0-pamsession patch).	1028. XlibInt.c patch to avoid
	buffer overflow (Red Hat's	 XFree86-3.3.6-fixemacs patch). 
	1027. Updates to xfs from Red Hat and Debian, including:	-
	command line options to make xfs drop it's root privs (-droppriv   
	      and -user)	- command line options to make xfs start as
	a daemon, and a build	       option to make this the default.    
	    - don't let a port option in the config file override the -port
		  command line option	      - cleanup/fix syslogging	   
	  (based on #4253, Debian, and Red Hat's XFree86-4.0-xfsredhat
	patch).  1026. Support for startx to set up the Xauth when starting
	an X server	  (based on Red Hat's XFree86-4.0-startx_xauth
	patch).

2000-11-30 10:58  keithp

	* Imakefile: Use sed to whack lex/yacc names in Xft

2000-11-30 02:42  keithp

	* Xft.h, xftdraw.c: Xft: Add XftDrawChange

2000-11-29 22:59  keithp

	* Imakefile, Xft.h, Xft.man, XftFreetype.h, xftcfg.c, xftint.h,
	xftlist.c, xftpat.c: Xft: add font listing functions, update man
	page and clean up headers

2000-11-29 09:40  dawes

	* xftrender.c: missing ident lines

2000-11-29 00:39  keithp

	* Imakefile, Xft.h, XftConfig.cpp, XftFreetype.h, drawstr.c,
	extents.c, glyphs.c, lex.c, load.c, match.c, metrics.c, parse.c,
	xftcfg.c, xftcore.c, xftdbg.c, xftdir.c, xftdpy.c, xftdraw.c,
	xftextent.c, xftfont.c, xftfreetype.c, xftfs.c, xftglyphs.c,
	xftgram.y, xftinit.c, xftint.h, xftlex.l, xftmatch.c, xftname.c,
	xftpat.c, xftrender.c, xftstr.c, xftxlfd.c: Rewrite Xft library,
	update xterm to match

2000-10-13 06:41  keithp

	* Imakefile, Xft.h, drawstr.c, glyphs.c, load.c, xftint.h: Update
	for current Freetype2 CVS

2000-10-10 07:05  tsi

	* XftConfig.cpp: Static build fix and ident lines.

2000-10-06 22:54  keithp

	* load.c: Xft: Fix up horizontal advance computation

2000-10-05 17:01  keithp

	* Imakefile, XftConfig.cpp: Fix XftConfig file generation

2000-10-05 15:57  keithp

	* Xft.h, drawstr.c, parse.c: Add debugging to Xft config parsing

2000-10-05 11:05  keithp

	* Imakefile, Xft.h, Xft.man, XftConfig.cpp, drawstr.c, extents.c,
	glyphs.c, lex.c, load.c, match.c, metrics.c, parse.c, xftint.h: Add
	new Xft library to convert FreeType 2 fonts into Render glyphsets

